# Uses of Enum
org.apache.zookeeper.server.ServerCnxn.DisconnectReason

Packages that use ServerCnxn.DisconnectReason
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of ServerCnxn.DisconnectReason in org.apache.zookeeper.server

Subclasses with type arguments of type ServerCnxn.DisconnectReason in org.apache.zookeeper.server
Modifier and Type
Class
Description
`static enum`
`ServerCnxn.DisconnectReason`
Fields in org.apache.zookeeper.server declared as ServerCnxn.DisconnectReason
Modifier and Type
Field
Description
`protected ServerCnxn.DisconnectReason`
ServerCnxn.`disconnectReason`
Methods in org.apache.zookeeper.server that return ServerCnxn.DisconnectReason
Modifier and Type
Method
Description
`ServerCnxn.DisconnectReason`
ServerCnxn.CloseRequestException.`getReason()`
`ServerCnxn.DisconnectReason`
ServerCnxn.EndOfStreamException.`getReason()`
`static ServerCnxn.DisconnectReason`
ServerCnxn.DisconnectReason.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ServerCnxn.DisconnectReason[]`
ServerCnxn.DisconnectReason.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server with parameters of type ServerCnxn.DisconnectReason
Modifier and Type
Method
Description
`void`
DumbWatcher.`close(ServerCnxn.DisconnectReason reason)`
`void`
NettyServerCnxn.`close(ServerCnxn.DisconnectReason reason)`
Close the cnxn and remove it from the factory cnxns list.
`void`
NIOServerCnxn.`close(ServerCnxn.DisconnectReason reason)`
Close the cnxn and remove it from the factory cnxns list.
`abstract void`
ServerCnxn.`close(ServerCnxn.DisconnectReason reason)`
`void`
NettyServerCnxnFactory.`closeAll(ServerCnxn.DisconnectReason reason)`
`void`
NIOServerCnxnFactory.`closeAll(ServerCnxn.DisconnectReason reason)`
clear all the connections in the selector
`abstract void`
ServerCnxnFactory.`closeAll(ServerCnxn.DisconnectReason reason)`
`boolean`
ServerCnxnFactory.`closeSession(long sessionId, ServerCnxn.DisconnectReason reason)`
Constructors in org.apache.zookeeper.server with parameters of type ServerCnxn.DisconnectReason
Modifier
Constructor
Description
``
`CloseRequestException(String msg, ServerCnxn.DisconnectReason reason)`
``
`EndOfStreamException(String msg, ServerCnxn.DisconnectReason reason)`